This Code of Conduct applies to the entire community and is not limited to professional roles or working hours. It also extends to all functions and places that are both professional and personal. 

Additionally, this Code of Conduct is articulated as a set of general principles as well as detailed prescriptions but does not address all possible issues that may arise. It provides general guidelines aimed at maintaining high ethical standards, reputation, and accountability within and beyond Sketch.

## Our standards

We know you love the Sketch community as much as we do, so we ask everyone involved in community efforts to take note of — and comply with — the following:

We are committed to ensuring a harassment-free experience for everyone, and any action that goes against that — in any project maintained by Sketch — is unacceptable. Violating this policy, whether through code contribution, code reviews, issues comments, etc., will be addressed by Sketch and the project maintainers to guarantee that these violations are corrected or terminated. Sketch also reserves the right to take legal action, should there be a need for this.

Examples of behavior that contributes to creating a positive and harassment-free environment include:

- Using welcoming and inclusive language
- Respecting each other
- Providing and gracefully accepting constructive criticism
- Showing empathy towards other community members
- Being ethical, honest, and accountable to all

Examples of unacceptable behavior include:

- Verbal comments that reinforce social structures of domination, including but not limited to — and in relation to — gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, race, age, religion
- Trolling, making insulting or derogatory comments, and making personal or political attacks
- Public or private harassment
- Publishing others’ personal information, such as a physical or electronic address, without explicit written permission from the said individual
- The use of sexualized language or imagery
- Unwelcome sexual attention or advances
- Other conduct which could reasonably be considered inappropriate in a professional setting
- Advocating for, or encouraging, any of the above behavior.

## Enforcement

We ask any participant and/or contributor to comply with this Code of Conduct and any further requests from the maintainers in case of a violation.

Community leaders are responsible for clarifying and upholding our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful.

Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that do not align with this Code of Conduct and will communicate reasons for moderation decisions when appropriate.

## Reporting

If you observe and/or feel directly affected by any unacceptable behavior, please report it as soon as possible. For this, you can send a report to **community@sketch.com**. No one will be disadvantaged or prejudiced by Sketch if they report a suspected breach in good faith. All reports will be acted upon and kept confidential.

## Variations

Sketch reserves the right to vary, replace or terminate this policy without prior notice.